<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<html>
<head>
<meta name="generator" content=
"HTML Tidy for Linux/x86 (vers 1st September 2002), see www.w3.org">
<title>Page WWW Lionel Cl&eacute;ment</title>
<base href="http://www.lionel-clement.net/">
<meta name="Description" content="Lexical">
<meta name="Keywords" content=
"lexed LEXED linguistics tokeniser tagger morphology morphologie lexicon lexique">
<meta name="Author" content="Lionel Cl&eacute;ment">
</head>
<body bgcolor="white">
<h1>Lexed</h1>
<h2>A lexicalizer</h2>
<p>This tool allows to search a dictionary entry from a string. The
finite automata-based algorithm is especially fast, and offers a
good alternative to hashes for large dictionnaries. Lexed can be
used interactively or via client/server socket.</p>
<p>Downloading:<br>
<b><a href=
"ftp://ftp.inria.fr/INRIA/Projects/Atoll/Eric.Clergerie/TAG">lexed/</a></b><br>
</p>
<h4>Compilation</h4>
To install under unix type<br>
./configure [--prefix=&lt;directory&gt;]<br>
make<br>
make install<br>
make clean<br>
 
<h4>Utilisation</h4>
<h5>For help</h5>
lexed -h<br>
man lexed 
<h5>To build an automata</h5>
lexed [ -d &lt;directory &gt; ] [ -p &lt;filename prefix&gt; ]
&lt;lexicon1&gt; &lt;lexicon2&gt; ... <br>
 The lexicons contain for every line the word followed by
associated information, separated by a character (tabulation or
space by default).<br>
"." is default directory.<br>
"lexicon" is default filename prefix. 
<h5>To use an automata</h5>
lexed [ -d &lt;directory &gt; ] [ -p &lt;filename prefix&gt; ] [ -f
&lt;pref&gt; &lt;or&gt; &lt;suff&gt; &lt;uw&gt; ] &lt;inputfile
&gt; outputfile<br>
 inputfile contains one word to match by line<br>
 
<h5>Other options</h5>
[ -P &lt;port&gt; ] TCP port.<br>
[ -i ] Indexation mode only.<br>
[ -F ] Don't load dictionary informations in memory.<br>
 [ -t &lt;char&gt; ] Separator characters.<br>
[ -r &lt;search&gt; &lt;replace&gt; -s &lt;number&gt; ] Number and
allowed characters for commutation in fuzzy search.<br>
[ -a &lt;number&gt; ] Number of characters for addition in fuzzy
search.<br>
[ -e &lt;number&gt; ] Number of characters for deletion in fuzzy
search.<br>
</body>
</html>
